#ifndef H_CORAL_UUID
#define H_CORAL_UUID
// This file is part of the Coral project.
// Please read the copyright notice in the LICENSE file.

#include <coral/coral.h>
#include <string>
#include "multithread.h"

namespace coral {

	typedef std::string uuid_t;

	uuid_t EXPORT_coral getUniqueID();

#ifdef COMPILING_coral
	EXTERN_MUTEX(mutex_uuid);
#endif


#ifndef SWIG
#ifdef __MINGW32__
	int EXPORT_coral gettimeofday(struct timeval* p,
				      struct timezone* tz /* IGNORED */);
#endif

	void initGetUniqueID();
#endif

}
#endif
